Welcome Guest! To enable all features please Login or Register.

Notification

Icon
Error

Forum Jump  
macOS High Sierra (10.13) compatibility
Last post Tue, Apr 03 2018 by THoffelt, 50 replies.
Options
Go to last post
3 Pages<123>
Posted on Thu, Dec 21 2017 02:07
by THoffelt
Joined on Tue, May 17 2005, Posts 34

Does anybody know if this is fixed in the updated version of VEP released on 19-Dec-2017?

Posted on Thu, Dec 21 2017 07:36
by Paul
Joined on Sat, Aug 03 2002, Vienna, Posts 10178

Hi, 

Unfortunately this incompatibility has not been fixed. We are in touch with our friends at MOTU. 

Best, 
Paul

Paul Kopf
Product Manager - Vienna Symphonic Library
Posted on Mon, Jan 15 2018 18:37
by Lionberg
Joined on Sat, Mar 07 2015, Posts 23

Any news?.. My music production is frozen. 

Posted on Mon, Jan 22 2018 21:28
by Dubzee
Joined on Fri, Jul 15 2011, United States - West Coast, Posts 12

Dear Vienna Symphonic Library Liason,

Is there *anything* that can be done to help make the High Sierra / Digital Performer incompatibility a priority? This issue will be 4 months old in a couple of days.  Is there any chance we can have  discount on the next update?

Posted on Tue, Jan 23 2018 00:29
by crescentmoon52_8709
Joined on Tue, Oct 05 2004, USA, Posts 14

Originally Posted by: Dubzee Go to Quoted Post

Dear Vienna Symphonic Library Liason,

Is there *anything* that can be done to help make the High Sierra / Digital Performer incompatibility a priority? This issue will be 4 months old in a couple of days.  Is there any chance we can have  discount on the next update?

   It either is not a priority or the problem is far more serious than they say....

Posted on Tue, Jan 23 2018 01:25
by pianoguy
Joined on Thu, Feb 28 2008, Colorado Springs, Colorado, Posts 53

Also sitting and hoping (and being irritated by the constant Apple prompts to upgrade to High Sierra!).

2013 Mac Pro, 3.5 GHz 6-Core / 64GB RAM / OS 10.13
/ DP 9.5 / Logic X / Sibelius Ultimate / Dorico / Many VSL libraries & software package / NI Komplete 10 Ultimate / Samplemodeling/Audio Modeling Saxophones, Brass, and Viola / Orange Tree Acoustic Guitars, Mandolin, and Slide Guitars / Bolder Sounds Bluegrass Banjo / Chris Hein Violin / Psound Vintage Accordion / Soundiron Voices of Rapture
Posted on Tue, Jan 23 2018 08:46
by marnix
Joined on Tue, Mar 16 2004, Vienna, Posts 928

Hi all,

A fellow user has posted the following workaround, which MOTU recommended for UAD plug-ins on the MOTUnation forum. It also worked for the VE Pro 6 plug-ins here on our systems!

Workaround fix for VE Pro 6 plug-ins in DP 9.51 on macOS High Sierra:

1.) Run the latest Vienna Ensemble Pro 6 (OS X) installer from https://www.vsl.co.at/en/MyVSL/software_installers. Restart the computer.
2.) Open the Applications folder and drag the Digital Performer application to the trash. If you have multiple versions of DP, be sure to drag all versions to the trash.
3.) Hold the Option Key while clicking on the Finder's "GO" drop-down menu, select Library, then open the Preferences folder. Find the com.motu.MotuAudioSystem folder and drag it to the trash. Empty the trash.
4.) Download the DP 9.51 installer available at motu.com/downloads and run the installer.
5.) Find the VST folder (System HD/Library/Audio/Plug-Ins/) and rename the folder to anything other than “VST” (for example, “VST_temp”).

Your Audio Unit and MAS VE Pro 6 plug-ins will now be available in Digital Performer 9.51. Please be aware though, that your VST plug-ins will of course NOT be available after renaming the VST folder!

I hope that helps until MOTU and our developers can find a real solution!

Best, Marnix

Posted on Tue, Jan 23 2018 15:47
by leigh
Joined on Tue, Aug 20 2013, Posts 35

Marnix,

Just to clarify, MOTUNation.com is not in any way connected with the company MOTU so I don't think this fix was officially from MOTU. 

I really do hope VSL and MOTU will get the DP/VEPro/HS problem fixed soon.

**Leigh

iMac 3.4 GHz/i7, 32GB RAM, Mac OS X 10.13.4, Dorico 2, Sibelius Ultimate, Finale 2014.5
DP 9.52, VE Pro 6, VSL, MIR Pro, Falcon 1.5.3
Posted on Wed, Jan 24 2018 22:34
by Lionberg
Joined on Sat, Mar 07 2015, Posts 23

Originally Posted by: Lionberg Go to Quoted Post

Any news?.. My music production is frozen. 

I do not know, what you guys are doing there, but I had to switch DAW...

Posted on Thu, Jan 25 2018 00:50
by crescentmoon52_8709
Joined on Tue, Oct 05 2004, USA, Posts 14

Originally Posted by: Lionberg Go to Quoted Post

Originally Posted by: Lionberg Go to Quoted Post

Any news?.. My music production is frozen. 

I do not know, what you guys are doing there, but I had to switch DAW...

Don't know why this problem hasn't been addressed at this point but I too am considering switching from DP to Logic or Cubase.  I called MOTU in early November to ask about their progress with Vienna and they told me it was Vienna's problem. No wonder MOTU is not in the top 5 category of DAWs.... they are becoming irrelevant.

Posted on Thu, Jan 25 2018 14:15
by daerp
Joined on Thu, Jan 18 2007, Toronto, Posts 130

As others have noted, Apple asks daily for me to upgrade to High Sierra. The MOTU/VEP issue is the only reason I haven't done so. At the moment, I'm not inconvenienced by sticking with Sierra for now, but experience teaches that fairly soon, High Sierra is going to be a necessary upgrade.

Moving to another from DP9 to another DAW is, after decades of using DP, a high stress proposition, but I'm beginning to wonder if this will become necessary. And this is STRESSFUL to consider.

If I have to switch I want to go to a DAW which will provides the easiest path to porting over all my DP projects. One that has the lowest learning curve for a DP user. Has great tech support, etc.

What are the CONTENDERS? Anyone made the switch and can speak with first hand knowledge?

And finally a question for VSL support: Is the problem not fixable on the VSL side?

Man, this is frustrating.

It seems like MOTU and VSL are behaving like Republicans and Democrats on this by the way...Surely there is a programmer in either company who knows how to fix this. After all, we put a man on the moon...

PaulR

MAC OS X 10.12.6
Finale 25
Digital Performer 9.5
VEP6
Many VSL libraries, MIR Pro and Vienna Suite Pro
VIP
Posted on Thu, Jan 25 2018 18:44
by leigh
Joined on Tue, Aug 20 2013, Posts 35

Originally Posted by: daerp Go to Quoted Post

. . .

Man, this is frustrating.

. . .

PaulR

Yes, it is and neither MOTU nor VSL will say, "We're sorry so many of you are having a problem that so directly affects your bread and butter. Representatives of both programming teams will be talking this week and come up with a fix."

I'm just surprised that VSL isn't taking the lead on this. They are usually very responsive to their customers.

**Leigh

iMac 3.4 GHz/i7, 32GB RAM, Mac OS X 10.13.4, Dorico 2, Sibelius Ultimate, Finale 2014.5
DP 9.52, VE Pro 6, VSL, MIR Pro, Falcon 1.5.3
Posted on Sat, Feb 03 2018 17:23
by DanielS
Joined on Tue, Aug 30 2016, Posts 4

Originally Posted by: leigh Go to Quoted Post

Originally Posted by: daerp Go to Quoted Post

. . .

Man, this is frustrating.

. . .

PaulR

Yes, it is and neither MOTU nor VSL will say, "We're sorry so many of you are having a problem that so directly affects your bread and butter. Representatives of both programming teams will be talking this week and come up with a fix."

I'm just surprised that VSL isn't taking the lead on this. They are usually very responsive to their customers.

**Leigh



I just wanted to let everyone know that I contacted both VSL and MOTU about this problem.  VSL gave me a bit more information about the problem.  Tldr, it's a big problem that won't be solved any time soon.  But here's both companies responses:

"Please be assured that we are absolutely aware of the urgency of this matter - our developers have in fact spent the best part of this week investigating what could possibly cause this incompatibility, unfortunately without any success.


So they have sent all their findings to their colleagues from MOTU yesterday, as we are cooperating to find a solution, and they have already answered to our requests.
I am sorry to say though, that they are actually as clueless as we are when it comes to finding the actual cause of the problem, let alone a solution to it...
Their suspicion is that this is an OS bug involving loading multiple dylibs that depend upon other common non-OS dylibs. It may have something to do with the fact that DP loads multiple plug-in formats simultaneously. They’ve reached out to their contact at Apple but so far haven’t heard back.

So this is the current situation and I must admit that it is extremely frustrating for us as well simply not to know what might possibly cause the incompatibility.

Our developers will continue to investigate in cooperation with MOTU and Apple and I sincerely hope that a solution can be found soon!

My apologies for not having better news at the moment and thank you again for your patience!"

MOTU had a more....lame response to my inquries:

"Like yourself we are waiting for VSL to issue an update that addresses compatibility with DP under OS 10.13.  MOTU can not predict VSLs development schedule therefore we can not tell you when that update will be released."

Hope this helps,

Posted on Sat, Feb 03 2018 20:32
by gluppy
Joined on Tue, Oct 05 2010, Posts 14
For those of you that feel frozen by this, let me offer some advice: first just because a software update is offered doesn’t mean you need to use it. If the version you are using works, leave it alone. Usually updates are offered for various bug fixes. If you don’t have that issue, don’t upgrade.

Concerning updating to high seirra, someone mentioned that sooner or later he’ll HAVE to update. We actually, the only reason to update is for safari compatibility, and security issues related to that app. Otherwise, think of this like a hardware synth. The version you buy is the version you get.

The other thing is if you are doing this professionally, then you need to have one or two other cloned drives a available in case your drive fails. If you do an update of anything, especially the OS, do it on your cloned drive. That way you don’t lock yourself out from work. Then when bugs like this get fixed, you can test it and then convert to the new OS.

On that note, I use DP 9.0.1 still, as the later versions don’t allow for generating plug ins in real time, and pregen hasnever worked for me. On my protools computer I was using systen 10.9 until recent. Why? Because it worked. It was only becuase of some library that I decided to update. So yeah. Eventually you will have to update. But that day is a long way away.
Posted on Sat, Feb 03 2018 21:27
by Sing4doe
Joined on Sat, Jun 18 2005, Posts 74

Gluppy... Gee thanks for telling everybody that they shouldn't upgrade to a newer system. Now to reality... I bought an iMac Pro that only runs on High Sierra. So what am I supposed to do. I can't go back. There were no warnings about the problem from either VSL or MOTU. Unless you dug into the bowels of the VSL or Motunation forums and knew what you were looking for, nothing popped up.

MOTU told me VEP 5 would work .... Nope! I can't believe this hasn't been a priority fro both MOTU and VSL for months. Obviously it isn't. VSL has been cranking on Synchron Strings. I get it from their side but with the number of composers using DP and VSL together it seems a bit dangerous from a customer service perspective.

Sadly, I have another couple days before I have to pull the trigger on another DAW to start a new project. Love DP, not a fan of Logic but it's looking more like I don't have a choice.

Posted on Sat, Feb 03 2018 22:10
by gluppy
Joined on Tue, Oct 05 2010, Posts 14
Lol. I was addressing the guy and others that upgraded from a previously working OS and versions of DP and VePro. Where is your previous computer? Same principle applies. You use the old hardware system until you’re sure the new one has all the bugs worked out. Now if this is your first system ever, well then, what can I say, you’re screwed. And until this bug is worked out, you have a very shiny mac paper weight. Sorry.

My post is meant as advice, not an admonishment. I started with DP using a Mac plus, so I do have some experience in these matters. And I have three studios that I work out of, so I am very much sensitive to any upgrade issues. Changing one thing in one means I have to change in the other two. Bottom line, if it ain’t broke, don’t fix it. The only time I upgrade is when a sound library requires it.
Posted on Sat, Feb 03 2018 22:17
by gluppy
Joined on Tue, Oct 05 2010, Posts 14
Also, if I am not mistaken, the Is the AU, VST and the MAS version of the plug in. While you are limited to only one set of 16 midi channels, in the AU version, it does work yes? Could be a work around.
Posted on Mon, Feb 12 2018 16:05
by DSB
Joined on Sat, Jan 27 2018, Posts 1
Interestingly, VSL does seem to be taking the lead on this, as they are the only ones responding. I’ve been leaning on Apple, whose only response is “Go ask the developers.” MOTU is essentially saying, “Not our fault, go ask Apple.” Hopefully, the good people at VSL will be able to get some cooperation from the other parties at some point. Meanwhile, I definitely feel the frustration, with several thousand dollars worth of hardware and software sitting on the desk.

Dexter
Posted on Wed, Feb 14 2018 23:31
by DanielS
Joined on Tue, Aug 30 2016, Posts 4

Hi it's me again.  

Originally Posted by: marnix Go to Quoted Post

Hi all,

A fellow user has posted the following workaround, which MOTU recommended for UAD plug-ins on the MOTUnation forum. It also worked for the VE Pro 6 plug-ins here on our systems!

Workaround fix for VE Pro 6 plug-ins in DP 9.51 on macOS High Sierra:

1.) Run the latest Vienna Ensemble Pro 6 (OS X) installer from https://www.vsl.co.at/en/MyVSL/software_installers. Restart the computer.
2.) Open the Applications folder and drag the Digital Performer application to the trash. If you have multiple versions of DP, be sure to drag all versions to the trash.
3.) Hold the Option Key while clicking on the Finder's "GO" drop-down menu, select Library, then open the Preferences folder. Find the com.motu.MotuAudioSystem folder and drag it to the trash. Empty the trash.
4.) Download the DP 9.51 installer available at motu.com/downloads and run the installer.
5.) Find the VST folder (System HD/Library/Audio/Plug-Ins/) and rename the folder to anything other than “VST” (for example, “VST_temp”).

Your Audio Unit and MAS VE Pro 6 plug-ins will now be available in Digital Performer 9.51. Please be aware though, that your VST plug-ins will of course NOT be available after renaming the VST folder!

I hope that helps until MOTU and our developers can find a real solution!

Best, Marnix



Can confirm after doing myself that this ONLY WORKS ONCE!  In order to get it to work 'every time', you must delete the audio unit and VST (more in the edit) CACHE files inside the com.motu.MotuAudioSystem folder EVERY TIME after you have closed out of DP.  If you've customized which plugins you're loading, especially VST's (see below) then do NOT erase the Audio Plugin Prefs file. The downside to this is that it rescan's the plugin's every time you start the program after deleting the cache's -- not a terrible solution if you work in one solid chunk on one single project the entire day and you dont have a million plugins.  

Also, to a few someones out there, telling people not to upgrade is basically telling them to 1) accept security flaws that could put their identity/finances/computers at risk and 2) accept that developers don't have to care about getting upgrades correct.  Shame on you.


EDIT: I can confirm after some testing that you can have DP load VST's through this method, though it takes FOREVER.   Therefore you do NOT need to change the VST folder name, of you can change it back to normal if you go through the above steps, then select which VST's you wish to load through preferences.  This will add a Audio Plugin Prefs file, which you'll need to keep so that all the plugins you desire will load after deleting the cache's.  I suggest, however, not loading the VEP VST, because that's probably the issue, but since this is a Mac only problem just use the AU.  The other methods described on other forums don't work unless I'm doing it wrong.  It's a bad solution, but a solution nonetheless.

Posted on Wed, Mar 07 2018 01:35
by acoustech
Joined on Sat, Jul 17 2004, New York, USA, Posts 16

Sooooo. It's now March 6th 2018 and this thread is dead. I bought a laptop in Dec which came with High Sierra, DP 9.51 has been fine with all other plug-ins (waves, NI, PSP) (although 9.51 on my 12 core Tower running 2 OS's behind has issues where it chokes if you save while playing and that hasn't been updated for 12-14 weeks either - yes I know, it's not a show stopper). I took my VEP dongle home to work, VEP launches fine but now I can't use my in progress DP session on Macbook pro off site unless I use this temp. Fix. Why all of the silence on this? I'm guessing Motu is the issue? Any word from Vienna here? It's been months and VE is one of the few that actually take the extra step to make a MAS plugin so I find it puzzling that it's still broken! Any info would be appreciated.

thanks~

Mac 12 Core VEP 6, Mac 8 Core VEP 6, Mac 8 Core #2 VEP 6
3 Pages<123>
You cannot post new threads in this forum.
You cannot reply to threads in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.